import Vue from 'vue'
import Router from 'vue-router'
import { normalizeURL, decode } from 'ufo'
import { interopDefault } from './utils'
import scrollBehavior from './router.scrollBehavior.js'

const _39875778 = () => interopDefault(import('..\\pages\\about-us\\index.vue' /* webpackChunkName: "pages/about-us/index" */))
const _4ef9ba6e = () => interopDefault(import('..\\pages\\auth\\index.vue' /* webpackChunkName: "pages/auth/index" */))
const _85f0a49e = () => interopDefault(import('..\\pages\\callback\\index.vue' /* webpackChunkName: "pages/callback/index" */))
const _5b806420 = () => interopDefault(import('..\\pages\\Checkout\\index.vue' /* webpackChunkName: "pages/Checkout/index" */))
const _7c0a006a = () => interopDefault(import('..\\pages\\contact-us\\index.vue' /* webpackChunkName: "pages/contact-us/index" */))
const _511eb268 = () => interopDefault(import('..\\pages\\faq\\index.vue' /* webpackChunkName: "pages/faq/index" */))
const _d114b196 = () => interopDefault(import('..\\pages\\login\\index.vue' /* webpackChunkName: "pages/login/index" */))
const _0b43619b = () => interopDefault(import('..\\pages\\password\\index.vue' /* webpackChunkName: "pages/password/index" */))
const _63589ff5 = () => interopDefault(import('..\\pages\\profile\\index.vue' /* webpackChunkName: "pages/profile/index" */))
const _3d85bfca = () => interopDefault(import('..\\pages\\verification\\index.vue' /* webpackChunkName: "pages/verification/index" */))
const _e3f5fbd0 = () => interopDefault(import('..\\pages\\mobile\\categories\\index.vue' /* webpackChunkName: "pages/mobile/categories/index" */))
const _b2e831a4 = () => interopDefault(import('..\\pages\\mobile\\checkout\\index.vue' /* webpackChunkName: "pages/mobile/checkout/index" */))
const _32927923 = () => interopDefault(import('..\\pages\\mobile\\cupon\\index.vue' /* webpackChunkName: "pages/mobile/cupon/index" */))
const _9dcb5d36 = () => interopDefault(import('..\\pages\\mobile\\fav\\index.vue' /* webpackChunkName: "pages/mobile/fav/index" */))
const _8b39e0e0 = () => interopDefault(import('..\\pages\\mobile\\listOrder\\index.vue' /* webpackChunkName: "pages/mobile/listOrder/index" */))
const _b32db9d2 = () => interopDefault(import('..\\pages\\mobile\\profile\\index.vue' /* webpackChunkName: "pages/mobile/profile/index" */))
const _4a7f10ec = () => interopDefault(import('..\\pages\\mobile\\listOrder\\_id\\index.vue' /* webpackChunkName: "pages/mobile/listOrder/_id/index" */))
const _4fcd9210 = () => interopDefault(import('..\\pages\\cat\\_id.vue' /* webpackChunkName: "pages/cat/_id" */))
const _7bec3d48 = () => interopDefault(import('..\\pages\\Products\\_id\\index.vue' /* webpackChunkName: "pages/Products/_id/index" */))
const _c93f44d4 = () => interopDefault(import('..\\pages\\index.vue' /* webpackChunkName: "pages/index" */))

const emptyFn = () => {}

Vue.use(Router)

export const routerOptions = {
  mode: 'history',
  base: '/',
  linkActiveClass: 'nuxt-link-active',
  linkExactActiveClass: 'nuxt-link-exact-active',
  scrollBehavior,

  routes: [{
    path: "/about-us",
    component: _39875778,
    name: "about-us"
  }, {
    path: "/auth",
    component: _4ef9ba6e,
    name: "auth"
  }, {
    path: "/callback",
    component: _85f0a49e,
    name: "callback"
  }, {
    path: "/Checkout",
    component: _5b806420,
    name: "Checkout"
  }, {
    path: "/contact-us",
    component: _7c0a006a,
    name: "contact-us"
  }, {
    path: "/faq",
    component: _511eb268,
    name: "faq"
  }, {
    path: "/login",
    component: _d114b196,
    name: "login"
  }, {
    path: "/password",
    component: _0b43619b,
    name: "password"
  }, {
    path: "/profile",
    component: _63589ff5,
    name: "profile"
  }, {
    path: "/verification",
    component: _3d85bfca,
    name: "verification"
  }, {
    path: "/mobile/categories",
    component: _e3f5fbd0,
    name: "mobile-categories"
  }, {
    path: "/mobile/checkout",
    component: _b2e831a4,
    name: "mobile-checkout"
  }, {
    path: "/mobile/cupon",
    component: _32927923,
    name: "mobile-cupon"
  }, {
    path: "/mobile/fav",
    component: _9dcb5d36,
    name: "mobile-fav"
  }, {
    path: "/mobile/listOrder",
    component: _8b39e0e0,
    name: "mobile-listOrder"
  }, {
    path: "/mobile/profile",
    component: _b32db9d2,
    name: "mobile-profile"
  }, {
    path: "/mobile/listOrder/:id",
    component: _4a7f10ec,
    name: "mobile-listOrder-id"
  }, {
    path: "/cat/:id?",
    component: _4fcd9210,
    name: "cat-id"
  }, {
    path: "/Products/:id",
    component: _7bec3d48,
    name: "Products-id"
  }, {
    path: "/",
    component: _c93f44d4,
    name: "index"
  }],

  fallback: false
}

export function createRouter (ssrContext, config) {
  const base = (config._app && config._app.basePath) || routerOptions.base
  const router = new Router({ ...routerOptions, base  })

  // TODO: remove in Nuxt 3
  const originalPush = router.push
  router.push = function push (location, onComplete = emptyFn, onAbort) {
    return originalPush.call(this, location, onComplete, onAbort)
  }

  const resolve = router.resolve.bind(router)
  router.resolve = (to, current, append) => {
    if (typeof to === 'string') {
      to = normalizeURL(to)
    }
    return resolve(to, current, append)
  }

  return router
}
